Bug 521181 - emacs-htmlize not compatible with emacs-1.34
Summary: emacs-htmlize not compatible with emacs-1.34
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-htmlize
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-04 06:17 UTC by Eric Mertens
Modified: 2018-01-05 12:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1531990 (view as bug list)
Environment:
Last Closed: 2010-06-28 14:28:42 UTC
Type: ---


Attachments (Terms of Use)

Description Eric Mertens 2009-09-04 06:17:00 UTC
Description of problem:
The emacs-htmlize script is not compatible with emacs 23 as detailed on http://www.emacswiki.org/emacs/Htmlize

I installed the latest version from git sources to fix this problem locally. The wiki lists some fixes as well.

Version-Release number of selected component (if applicable):
emacs-23.1-3.fc11.i586
emacs-htmlize-1.34-3.fc11.noarch

How reproducible:
every time

Steps to Reproduce:
1. open C source file (for example)
2. M-x htmlize-buffer
  
Actual results:
"Invalid face" error reported

Expected results:
HTML markup in a new buffer

Comment 1 Tim Landscheidt 2010-03-29 13:38:13 UTC
I concur with you. It would be nice if the debugged version would be shipped. In the present state emacs-htmlize is not usable.

Comment 2 Bug Zapper 2010-04-28 10:10:33 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:28:42 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Tim Landscheidt 2018-01-05 12:30:28 UTC
*argl*  I spent the past two days trying to debug the "Invalid face" error still around in F26, only to find that I couldn't remember this very bug from almost eight years ago.


Note You need to log in before you can comment on or make changes to this bug.